public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/debugedit/
Date: Sun, 19 May 2019 10:49:47 +0000 (UTC)	[thread overview]
Message-ID: <1558262782.6a567f331ca8dd103d91d6e66c036769a46bc364.mgorny@gentoo> (raw)

commit:     6a567f331ca8dd103d91d6e66c036769a46bc364
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May 19 10:46:22 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May 19 10:46:22 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a567f33

dev-util/debugedit: Depend on fixed elfutils version

Replace the hack-patch disabling section reordering with a dependency
on fixed dev-libs/elfutils version.

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-util/debugedit/debugedit-4.14.2-r2.ebuild | 89 +++++++++++++++++++++++++++
 1 file changed, 89 insertions(+)

diff --git a/dev-util/debugedit/debugedit-4.14.2-r2.ebuild b/dev-util/debugedit/debugedit-4.14.2-r2.ebuild
new file mode 100644
index 00000000000..f14f43e3c56
--- /dev/null
+++ b/dev-util/debugedit/debugedit-4.14.2-r2.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+
+MY_P=rpm-${PV}
+DESCRIPTION="Stand-alone debugedit from RPM"
+HOMEPAGE="http://www.rpm.org
+	https://github.com/rpm-software-management/rpm"
+SRC_URI="http://ftp.rpm.org/releases/rpm-$(ver_cut 1-2).x/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+	sys-libs/zlib:=
+	>=dev-libs/popt-1.7
+	>=dev-libs/elfutils-0.176-r1
+	dev-libs/nss
+"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+	eapply_user
+
+	# cheat it into believing we're bundling db
+	mkdir -p db/dist || die
+	touch db/dist/configure || die
+	chmod +x db/dist/configure || die
+	echo 'install:' > db3/Makefile || die
+
+	# TODO: why do we need to do this?
+	mkdir rpm || die
+	find -name '*.h' -exec cp {} rpm/ ';' || die
+}
+
+src_configure() {
+	append-cppflags -I"${EPREFIX}/usr/include/nss" -I"${EPREFIX}/usr/include/nspr"
+	local myconf=(
+		# force linking to static librpmio
+		--disable-shared
+
+		# disable linking compression libraries
+		ac_cv_header_bzlib_h=no
+		ac_cv_header_lzma_h=no
+		--disable-zstd
+
+		# fake some libraries we don't use
+		ac_cv_header_magic_h=yes
+		ac_cv_lib_magic_magic_open=yes
+
+		# use nss as crypto provider
+		--with-crypto=nss
+
+		# disable other stuff irrelevant to debugedit
+		--disable-nls
+		--disable-python
+		--without-acl
+		--without-archive
+		--without-cap
+		--without-external-db
+		--without-hackingdocs
+		--without-lua
+		--without-selinux
+	)
+	econf "${myconf[@]}"
+}
+
+src_compile() {
+	emake -C misc
+	emake -C rpmio
+	emake debugedit
+}
+
+src_test() {
+	:
+}
+
+src_install() {
+	dobin debugedit
+}


             reply	other threads:[~2019-05-19 10:49 UTC|newest]

Thread overview: 75+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-05-19 10:49 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-19  5:52 [gentoo-commits] repo/gentoo:master commit in: dev-util/debugedit/ Michał Górny
2024-03-02 15:25 Arthur Zamarin
2024-03-02 14:22 Arthur Zamarin
2024-03-02 13:53 Michał Górny
2024-02-18 11:43 Jakov Smolić
2024-02-18  0:15 Sam James
2024-02-17 22:26 Sam James
2024-02-17 21:42 Jakov Smolić
2024-01-28 15:35 Sam James
2023-01-14 13:06 WANG Xuerui
2023-01-14 10:12 Sam James
2022-05-03 19:12 Arthur Zamarin
2022-05-03 18:57 Arthur Zamarin
2022-05-03 18:01 Arthur Zamarin
2022-02-08 19:20 Michał Górny
2022-02-08 17:55 Sam James
2022-02-02 22:26 Sam James
2021-09-25  7:45 Michał Górny
2021-09-25  5:18 Agostino Sarubbo
2021-09-22  6:58 Agostino Sarubbo
2021-09-21  6:35 Agostino Sarubbo
2021-09-20  6:26 Agostino Sarubbo
2021-04-28 20:44 Michał Górny
2021-04-28 19:09 Sam James
2021-04-28 18:47 Sam James
2021-04-28 17:04 Sam James
2021-04-28 17:00 Sam James
2021-03-27  0:37 Sam James
2021-03-27  0:37 Sam James
2021-03-22 21:33 Michał Górny
2021-01-15  7:35 Michał Górny
2021-01-15  0:01 Sam James
2021-01-11  8:01 Sam James
2021-01-10 22:28 Sam James
2021-01-10 14:26 Sam James
2020-12-16 17:18 Michał Górny
2020-12-11  7:33 Michał Górny
2020-11-22 15:46 Michał Górny
2020-11-22 12:26 Sergei Trofimovich
2020-11-17 19:17 Agostino Sarubbo
2020-11-17 18:55 Agostino Sarubbo
2020-11-17 18:49 Agostino Sarubbo
2020-11-16 22:13 Sam James
2020-10-01  7:59 Michał Górny
2020-08-21  3:12 Georgy Yakovlev
2020-08-05 15:18 Michał Górny
2020-08-05 14:17 Agostino Sarubbo
2020-08-02 11:39 Sergei Trofimovich
2020-08-01  9:01 Sergei Trofimovich
2020-04-30  9:45 Michał Górny
2020-01-03  8:48 Michał Górny
2019-12-31  8:18 Agostino Sarubbo
2019-12-31  8:15 Agostino Sarubbo
2019-12-30 12:29 Agostino Sarubbo
2019-12-28 10:17 Sergei Trofimovich
2019-12-27 16:43 Agostino Sarubbo
2019-09-28  5:52 Michał Górny
2019-08-01  6:23 Sergei Trofimovich
2019-07-31 11:03 Agostino Sarubbo
2019-07-31 10:59 Agostino Sarubbo
2019-07-31 10:55 Agostino Sarubbo
2019-07-31 10:54 Agostino Sarubbo
2019-04-28 20:34 Thomas Deutschmann
2019-04-27 16:03 Sergei Trofimovich
2019-04-18 20:28 Sergei Trofimovich
2019-04-13 14:05 Mikle Kolyada
2019-04-10 15:07 Michał Górny
2018-09-20  9:03 Lars Wendler
2018-09-19 22:25 Michał Górny
2018-09-19 22:25 Michał Górny
2018-05-30 19:45 Mike Frysinger
2017-06-11 19:58 Sergei Trofimovich
2016-02-09 19:20 Mike Frysinger
2016-02-09 19:20 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1558262782.6a567f331ca8dd103d91d6e66c036769a46bc364.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox